kr.co.hanwha.hifive.admin.admin.adapter.viewholder

## Class AdminMemberDetailHeaderViewHolder

- java.lang.Object
- - android.support.v7.widget.RecyclerView.ViewHolder
  - - kr.co.hanwha.hifive.base.BaseViewHolder
    - - kr.co.hanwha.hifive.admin.admin.adapter.viewholder.AdminMemberDetailHeaderViewHolder

-     public class AdminMemberDetailHeaderViewHolder
      extends BaseViewHolder

  Created by sanghoonkwon on 2018. 3. 12..

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private android.widget.Button` | `mButtonResetPassword`
    `private android.widget.Button` | `mButtonResetSimplePassword`
    `private android.widget.Button` | `mButtonTaskList`
    `private android.widget.ImageView` | `mImageViewDot`
    `private android.widget.ImageView` | `mImageViewSender`
    `private AdminMemberDetailAdapter.OnAdminMemberDetailListener` | `mOnAdminMemberDetailListener`
    `private android.widget.TextView` | `mTextViewAuthcode`
    `private android.widget.TextView` | `mTextViewMessage`
    `private android.widget.TextView` | `mTextViewPhone`
    `private android.widget.TextView` | `mTextViewTitle`

    - ### Fields inherited from class android.support.v7.widget.RecyclerView.ViewHolder

      `itemView`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AdminMemberDetailHeaderViewHolder(android.view.ViewGroup viewGroup, AdminMemberDetailAdapter.OnAdminMemberDetailListener onAdminMemberDetailListener)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onBind(java.lang.Object object, int index)`

    - ### Methods inherited from class kr.co.hanwha.hifive.base.BaseViewHolder

      `getContext, getHeight`

    - ### Methods inherited from class android.support.v7.widget.RecyclerView.ViewHolder

      `getAdapterPosition, getItemId, getItemViewType, getLayoutPosition, getOldPosition, getPosition, isRecyclable, setIsRecyclable, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### mImageViewDot

          private android.widget.ImageView mImageViewDot

    - #### mImageViewSender

          private android.widget.ImageView mImageViewSender

    - #### mTextViewTitle

          private android.widget.TextView mTextViewTitle

    - #### mTextViewMessage

          private android.widget.TextView mTextViewMessage

    - #### mTextViewPhone

          private android.widget.TextView mTextViewPhone

    - #### mTextViewAuthcode

          private android.widget.TextView mTextViewAuthcode

    - #### mButtonTaskList

          private android.widget.Button mButtonTaskList

    - #### mButtonResetPassword

          private android.widget.Button mButtonResetPassword

    - #### mButtonResetSimplePassword

          private android.widget.Button mButtonResetSimplePassword

    - #### mOnAdminMemberDetailListener

          private AdminMemberDetailAdapter.OnAdminMemberDetailListener mOnAdminMemberDetailListener

  - ### Constructor Detail

    - #### AdminMemberDetailHeaderViewHolder

          public AdminMemberDetailHeaderViewHolder(@NonNull
                                                   android.view.ViewGroup viewGroup,
                                                   @Nullable
                                                   AdminMemberDetailAdapter.OnAdminMemberDetailListener onAdminMemberDetailListener)

  - ### Method Detail

    - #### onBind

          public void onBind(java.lang.Object object,
                             int index)

      Overrides:
        `onBind` in class `BaseViewHolder`